Bug 215387 - Cannot execute system-config-display as non-privileged user
Cannot execute system-config-display as non-privileged user
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 14:19 EST by Maurizio Loreti
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maurizio Loreti 2006-11-13 14:19:43 EST
Description of problem: cannot execute system-config-display as non-privileged user


Version-Release number of selected component (if applicable):
system-config-display-1.0.45-1


How reproducible: type system-config-display at the shell prompt.  This happens
for all the system administration executables, non only for s-c-display; but
bugzilla wanted I pick one.

I have installed FC6 on my P4 computer (MB Intel D865GLC) and the problem is
that (as a non-privileged user) I cannot run any privileged command: e.g.
the menu entry (Gnome) System -> Administration -> Display or the
corresponding KDE menu entry.

What happens is that in the Gnome panel I see "Starting display", that
disappears after about 15 seconds.  No messages on the console (ctrl-alt-f1,
I am running FC6 with init 3).  Giving the command "system-config-display"
in an X-terminal as a non-privileged user, I have back the shell prompt
_immediately_ (again, no error messages); but being root or typing "su -c
system-config-display" gives the display setup window as expected after the
root password.

The VERY STRANGE thing is that, typing "strace system-config-display" as a
non-privileged user into an X-terminal window... the "query" window for the
root password appears... followed by the display setup window!  I could not
identify in the strace output something strange (well, all works, so nothing
strange is expected to show).

I have all updates released until today installed; the kernel is
2.6.18-1.2849.fc6 .

Well, I could do system administration from the shell prompt after su -; but
it is not so immediate to identify the name of the program that corresponds,
say, to "Software Updater" (pup).  I an a RH user after RH5.1, I do
sysadm'ing as my daily work, and this is the first time I cannot solve a
system administration problem :-( .  Do you have any hint about what is
happening?  Google did not show anything relevant, I am sorry.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Jackson 2007-03-26 16:01:01 EDT
This is working for me in s-c-d 1.0.49.  Please test with FC7t3 or later, and
reopen if this is still an issue for you.
Comment 2 Adam Jackson 2007-05-26 15:10:21 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.